#!/bin/bash

# Extra functions for restore scripts

function exclusions () {
    # rebuild installed_packages file minus those listed in the exclusions file
    
    mv installed_packages installed_packages.orig
    grep -vf exclusions installed_packages.orig  > installed_packages

}

function mkfast_deb () {
    
    # we must check for packages already installed so we don't waste time reinstalling them

    dpkg --get-selections > installed_packages_fast
    grep -vf installed_packages_fast installed_packages > installed_packages
    
}